Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 641322 - media-libs/babl-0.1.38, media-libs/gegl-0.3.34 stable request
Summary: media-libs/babl-0.1.38, media-libs/gegl-0.3.34 stable request
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it
URL:
Whiteboard:
Keywords: STABLEREQ
Depends on: 638172 638194
Blocks:
  Show dependency tree
 
Reported: 2017-12-16 12:26 UTC by Pacho Ramos
Modified: 2020-04-09 17:07 UTC (History)
3 users (show)

See Also:
Package list:
media-libs/babl-0.1.66 media-libs/gegl-0.3.34
Runtime testing required: ---
nattka: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Pacho Ramos gentoo-dev 2017-12-16 12:26:18 UTC
Hello,

Our current stable versions are really old... maybe we could think on trying to remember to stabilize newer versions in the near future if possible

Thanks
Comment 1 Mart Raudsepp gentoo-dev 2018-01-10 07:35:13 UTC
This is blocking GNOME 3.24 stabilization. We need >=media-libs/gegl-0.3.14
Comment 2 Sebastian Pipping gentoo-dev 2018-01-11 00:00:15 UTC
Adding arch teams except sparc, as there are known problems on that platform:

 * https://bugs.gentoo.org/buglist.cgi?quicksearch=media-libs%2Fgegl

 * https://bugs.gentoo.org/buglist.cgi?quicksearch=media-libs%2Fbabl

Regarding the test failure bugs, my personal impression is that it is okay to stabilize nevertheless.
Comment 3 Stabilization helper bot gentoo-dev 2018-01-11 01:01:42 UTC
An automated check of this bug failed - repoman reported dependency errors (234 lines truncated): 

> dependency.bad media-libs/gegl/gegl-0.2.0-r5.ebuild: DEPEND: alpha(default/linux/alpha/13.0) ['>=media-libs/libopenraw-0.1:0=']
> dependency.bad media-libs/gegl/gegl-0.2.0-r5.ebuild: RDEPEND: alpha(default/linux/alpha/13.0) ['>=media-libs/libopenraw-0.1:0=']
> dependency.bad media-libs/gegl/gegl-0.2.0-r5.ebuild: DEPEND: alpha(default/linux/alpha/13.0/desktop) ['>=media-libs/libopenraw-0.1:0=']
> dependency.bad media-libs/gegl/gegl-0.2.0-r5.ebuild: DEPEND: alpha(default/linux/alpha/13.0) ['>=media-libs/libopenraw-0.1:0=']
> dependency.bad media-libs/gegl/gegl-0.2.0-r5.ebuild: RDEPEND: alpha(default/linux/alpha/13.0) ['>=media-libs/libopenraw-0.1:0=']
> dependency.bad media-libs/gegl/gegl-0.2.0-r5.ebuild: DEPEND: alpha(default/linux/alpha/13.0/desktop) ['>=media-libs/libopenraw-0.1:0=']
Comment 4 Mart Raudsepp gentoo-dev 2018-01-12 19:52:05 UTC
Please check through the versions proposed in package list as maintainer too. Looks like 0.2.0-r5 is requested, but that depends on newer libopenraw, which breaks things and is nowhere ready to go stable itself without a coordinated effort between it and all consumers. So sanity-check failed :(
Comment 5 Sebastian Pipping gentoo-dev 2018-01-14 16:43:58 UTC
(In reply to Mart Raudsepp from comment #4)
> Please check through the versions proposed in package list as maintainer
> too. Looks like 0.2.0-r5 is requested, but that depends on newer libopenraw,
> which breaks things and is nowhere ready to go stable itself without a
> coordinated effort between it and all consumers. So sanity-check failed :(

Interesting!  gegl-0.2.0-r4 first introduces the switch from libopenraw-0.0.9 to post-stable >=0.1.0 as requested in bug #639834.  On the gegl-0.2.0-r* front we could

 * stay with 0.2.0-r2 for now (if -r5 is only nice to have)

 * stabilize 0.2.0-r5 after fixing open openraw-0.1 bugs, first

 * stabilize a version of 0.2.0-r5 without openraw changes
   (which would fix ffmpeg changes bug #636780 and exiv2
   misdependency bug #641872 over -r2).

Is openraw stabilization trouble about bug #609972 and bug #609974 only?  Those look like easy fixes to me, with optimistic glasses on.  I'll see if I can find a minute on those myself.
Comment 6 Stabilization helper bot gentoo-dev 2018-01-14 17:02:31 UTC
An automated check of this bug failed - repoman reported dependency errors (234 lines truncated): 

> dependency.bad media-libs/gegl/gegl-0.2.0-r5.ebuild: DEPEND: alpha(default/linux/alpha/13.0) ['>=media-libs/libopenraw-0.1:0=']
> dependency.bad media-libs/gegl/gegl-0.2.0-r5.ebuild: RDEPEND: alpha(default/linux/alpha/13.0) ['>=media-libs/libopenraw-0.1:0=']
> dependency.bad media-libs/gegl/gegl-0.2.0-r5.ebuild: DEPEND: alpha(default/linux/alpha/13.0/desktop) ['>=media-libs/libopenraw-0.1:0=']
> dependency.bad media-libs/gegl/gegl-0.2.0-r5.ebuild: DEPEND: alpha(default/linux/alpha/13.0) ['>=media-libs/libopenraw-0.1:0=']
> dependency.bad media-libs/gegl/gegl-0.2.0-r5.ebuild: RDEPEND: alpha(default/linux/alpha/13.0) ['>=media-libs/libopenraw-0.1:0=']
> dependency.bad media-libs/gegl/gegl-0.2.0-r5.ebuild: DEPEND: alpha(default/linux/alpha/13.0/desktop) ['>=media-libs/libopenraw-0.1:0=']
Comment 7 Mart Raudsepp gentoo-dev 2018-01-14 19:09:47 UTC
libopenraw requires coordination between many consumers to stabilize at the same time, or I suspect as much, because gnome-raw-thumbnailer has a revision that works with old and a separate revision for the new version; so likely the case for some others as well.
Please just unblock GNOME stabilization for now, not good to be the hostage of such a coordination that isn't relevant at all for this need; we just need gegl-0.3.14 or newer, none of that new libopenraw business. Do you want a separate bug for just babl and gegl:0.3 to move forward, or move out gegl-0.2 from here?

Note that gimp-2.8 is the only consumer of gegl-0.2*
Comment 8 Sebastian Pipping gentoo-dev 2018-01-14 19:23:56 UTC
(In reply to Mart Raudsepp from comment #7)
> Do you want
> a separate bug for just babl and gegl:0.3 to move forward, or move out
> gegl-0.2 from here?

Tending towards dropping gegl-0.2.0-r5 but maybe we're missing somehting that pacho had in mind when adding.

pacho, when you included gegl-0.2.0-r5 here what was the idea?  Thanks!
Comment 9 Mart Raudsepp gentoo-dev 2018-01-14 19:34:04 UTC
(In reply to Sebastian Pipping from comment #8)
> Tending towards dropping gegl-0.2.0-r5 but maybe we're missing somehting
> that pacho had in mind when adding.
> 
> pacho, when you included gegl-0.2.0-r5 here what was the idea?  Thanks!

His idea was just listing the latest available (at the time) for your opinion and consideration (and changing if necessary), I believe.
Lets just coordinate new libopenraw separately in a separate bug then, it'll need sign-off of various consumers I believe, etc.

Besides, gegl-0.2 will be history soon anyways, once gimp 2.10 is out :)
Comment 10 Mart Raudsepp gentoo-dev 2018-01-14 19:36:06 UTC
For more context, kensington was working on that new libopenraw and such, but hasn't touched it in a while, and it could use someone to pick it up again and push it through. That new libopenraw changed pkg-config module name (other version), library SONAME and so on, for no big reason, so consumers need(ed) adapting.
Comment 11 Pacho Ramos gentoo-dev 2018-01-14 21:03:40 UTC
Yeah, feel free to skip media-libs/gegl-0.2.0-r5 for now

As a side note, what reverse deps are currently broken with newer libopenraw? gnome-raw-thumbnailer-3.0.0-r1, raw-thumbnailer-0.2.1 and gegl-0.2.0-r4,5 and tumbler-0.2.0 should work ok with it. From them, only gnome-raw-thumbnailed-3.0.0-r1 would need stabilization apart of this gegl
Comment 12 Pacho Ramos gentoo-dev 2018-01-14 21:07:09 UTC
Ah, I just saw your job on fixing them, thanks! 

Then, feel free to skip or move to other bug media-libs/gegl-0.2.0-r5 stabilization, it's ok for me
Comment 13 Sebastian Pipping gentoo-dev 2018-01-14 21:51:43 UTC
(In reply to Pacho Ramos from comment #12)
> Then, feel free to skip or move to other bug media-libs/gegl-0.2.0-r5
> stabilization, it's ok for me

Cool, give me a second.
Comment 14 Stabilization helper bot gentoo-dev 2018-01-14 22:01:30 UTC
An automated check of this bug failed - repoman reported dependency errors (234 lines truncated): 

> dependency.bad media-libs/gegl/gegl-0.2.0-r5.ebuild: DEPEND: alpha(default/linux/alpha/13.0) ['>=media-libs/libopenraw-0.1:0=']
> dependency.bad media-libs/gegl/gegl-0.2.0-r5.ebuild: RDEPEND: alpha(default/linux/alpha/13.0) ['>=media-libs/libopenraw-0.1:0=']
> dependency.bad media-libs/gegl/gegl-0.2.0-r5.ebuild: DEPEND: alpha(default/linux/alpha/13.0/desktop) ['>=media-libs/libopenraw-0.1:0=']
> dependency.bad media-libs/gegl/gegl-0.2.0-r5.ebuild: DEPEND: alpha(default/linux/alpha/13.0) ['>=media-libs/libopenraw-0.1:0=']
> dependency.bad media-libs/gegl/gegl-0.2.0-r5.ebuild: RDEPEND: alpha(default/linux/alpha/13.0) ['>=media-libs/libopenraw-0.1:0=']
> dependency.bad media-libs/gegl/gegl-0.2.0-r5.ebuild: DEPEND: alpha(default/linux/alpha/13.0/desktop) ['>=media-libs/libopenraw-0.1:0=']
Comment 15 Stabilization helper bot gentoo-dev 2018-01-14 23:25:46 UTC
An automated check of this bug succeeded - the previous repoman errors are now resolved.
Comment 16 Tobias Klausmann gentoo-dev 2018-01-15 19:09:14 UTC
Stable on amd64.
Comment 17 Thomas Deutschmann gentoo-dev Security 2018-01-17 06:43:23 UTC
x86 stable
Comment 18 Thomas Deutschmann gentoo-dev Security 2018-01-17 06:43:30 UTC
x86 stable
Comment 19 ernsteiswuerfel 2018-01-20 15:18:29 UTC
ppc

Builds fine, but some tests fail. (see bug 638388 for babl, and bug 645136 for gegl)

USE tests started on Do 18. Jan 14:42:43 CET 2018

USE='-altivec' failed for =media-libs/babl-0.1.38
USE='altivec' failed for =media-libs/babl-0.1.38
 FEATURES=' test' failed for =media-libs/babl-0.1.38

USE='-cairo -ffmpeg -introspection -jpeg2k -lcms lensfun -openexr -raw sdl -svg -tiff -umfpack -v4l -vala -webp'  succeeded for =media-libs/gegl-0.3.26
USE='cairo -ffmpeg -introspection -jpeg2k -lcms lensfun -openexr -raw -sdl svg -tiff -umfpack -v4l -vala -webp'  succeeded for =media-libs/gegl-0.3.26
USE='cairo ffmpeg introspection -jpeg2k lcms lensfun openexr -raw -sdl svg -tiff -umfpack -v4l -vala -webp' failed for =media-libs/gegl-0.3.26
USE='cairo ffmpeg -introspection -jpeg2k -lcms -lensfun -openexr raw sdl svg -tiff -umfpack -v4l -vala -webp' failed for =media-libs/gegl-0.3.26
USE='cairo ffmpeg introspection -jpeg2k -lcms -lensfun -openexr -raw sdl -svg -tiff umfpack -v4l -vala -webp' failed for =media-libs/gegl-0.3.26
USE='cairo -ffmpeg introspection jpeg2k lcms lensfun openexr -raw -sdl svg -tiff umfpack -v4l -vala -webp'  succeeded for =media-libs/gegl-0.3.26
USE='-cairo ffmpeg introspection -jpeg2k -lcms -lensfun openexr -raw sdl -svg tiff umfpack -v4l -vala -webp' failed for =media-libs/gegl-0.3.26
USE='cairo ffmpeg introspection jpeg2k -lcms -lensfun openexr raw sdl svg tiff umfpack -v4l -vala -webp' failed for =media-libs/gegl-0.3.26
USE='-cairo -ffmpeg introspection jpeg2k lcms lensfun openexr raw -sdl -svg -tiff -umfpack v4l -vala -webp'  succeeded for =media-libs/gegl-0.3.26
USE='-cairo -ffmpeg -introspection jpeg2k -lcms lensfun openexr -raw sdl -svg tiff -umfpack v4l -vala -webp'  succeeded for =media-libs/gegl-0.3.26
USE='cairo -ffmpeg introspection -jpeg2k lcms lensfun openexr -raw sdl svg tiff umfpack -v4l -vala webp'  succeeded for =media-libs/gegl-0.3.26
USE='-cairo -ffmpeg introspection jpeg2k -lcms -lensfun openexr -raw -sdl -svg -tiff umfpack v4l -vala webp'  succeeded for =media-libs/gegl-0.3.26
 FEATURES= test succeeded for =media-libs/gegl-0.3.26
Comment 20 Tobias Klausmann gentoo-dev 2018-01-20 16:51:47 UTC
Stable on alpha.
Comment 21 Sergei Trofimovich gentoo-dev 2018-01-22 08:32:06 UTC
ia64 stable
Comment 22 Sergei Trofimovich gentoo-dev 2018-03-21 07:39:48 UTC
ppc64 stable
Comment 23 Markus Meier gentoo-dev 2018-03-22 06:05:39 UTC
arm stable
Comment 24 Mart Raudsepp gentoo-dev 2018-04-08 22:59:39 UTC
arm64 doesn't have any stable babl or gegl. No idea why we were CCed.
Comment 25 Larry the Git Cow gentoo-dev 2018-05-12 20:41:25 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8a79c48b77e45f4e69a630ee4c8122f788d61917

commit 8a79c48b77e45f4e69a630ee4c8122f788d61917
Author:     Sergei Trofimovich <slyfox@gentoo.org>
AuthorDate: 2018-05-12 20:40:59 +0000
Commit:     Sergei Trofimovich <slyfox@gentoo.org>
CommitDate: 2018-05-12 20:41:19 +0000

    media-libs/gegl: stable 0.3.26 for hppa, bug #641322
    
    Bug: https://bugs.gentoo.org/641322
    Package-Manager: Portage-2.3.36, Repoman-2.3.9
    RepoMan-Options: --include-arches="hppa"

 media-libs/gegl/gegl-0.3.26.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9939914618013567b924f3e9f7c9b238382bf71b

commit 9939914618013567b924f3e9f7c9b238382bf71b
Author:     Sergei Trofimovich <slyfox@gentoo.org>
AuthorDate: 2018-05-12 20:40:51 +0000
Commit:     Sergei Trofimovich <slyfox@gentoo.org>
CommitDate: 2018-05-12 20:41:19 +0000

    media-libs/babl: stable 0.1.38 for hppa, bug #641322
    
    Bug: https://bugs.gentoo.org/641322
    Package-Manager: Portage-2.3.36, Repoman-2.3.9
    RepoMan-Options: --include-arches="hppa"

 media-libs/babl/babl-0.1.38.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 26 ernsteiswuerfel 2018-10-20 14:45:57 UTC
Looking good on ppc.

babl fails 1 test (bug #669066), the gegl failures are due to gegl failing tests with USE=ffmeg (bug #645136). All in alls gegl-0.3.26 performs better than gegl-0.3.8, which shows build failures on ppc (bug #669072).

# cat babl-641322.report 
USE tests started on Sa 20. Okt 14:47:11 CEST 2018

 FEATURES=' test' failed for =media-libs/babl-0.1.38
USE='-altivec' failed for =media-libs/babl-0.1.38
USE='altivec' failed for =media-libs/babl-0.1.38

FEATURES=' test' USE='' succeeded for =media-libs/gegl-0.3.26
USE='cairo ffmpeg introspection jpeg2k -lcms -lensfun openexr raw sdl svg tiff -umfpack -v4l -vala -webp' failed for =media-libs/gegl-0.3.26
USE='-cairo ffmpeg -introspection -jpeg2k -lcms lensfun -openexr -raw -sdl -svg tiff -umfpack v4l -vala -webp' failed for =media-libs/gegl-0.3.26
USE='cairo -ffmpeg introspection -jpeg2k lcms lensfun openexr -raw -sdl -svg -tiff umfpack -v4l vala -webp' succeeded for =media-libs/gegl-0.3.26
USE='cairo ffmpeg -introspection jpeg2k -lcms -lensfun openexr raw sdl -svg -tiff -umfpack -v4l -vala webp' failed for =media-libs/gegl-0.3.26
USE='cairo ffmpeg -introspection -jpeg2k lcms -lensfun -openexr -raw -sdl -svg tiff -umfpack -v4l -vala webp' failed for =media-libs/gegl-0.3.26
USE='cairo ffmpeg introspection jpeg2k -lcms lensfun openexr -raw sdl -svg tiff -umfpack -v4l -vala webp' failed for =media-libs/gegl-0.3.26
USE='-cairo -ffmpeg introspection -jpeg2k lcms -lensfun openexr -raw sdl -svg -tiff umfpack v4l -vala webp' succeeded for =media-libs/gegl-0.3.26
USE='-cairo ffmpeg introspection -jpeg2k -lcms -lensfun -openexr raw -sdl -svg tiff umfpack v4l -vala webp' failed for =media-libs/gegl-0.3.26
USE='cairo ffmpeg introspection jpeg2k -lcms -lensfun openexr -raw -sdl svg tiff umfpack -v4l vala webp' failed for =media-libs/gegl-0.3.26
USE='cairo ffmpeg introspection jpeg2k lcms -lensfun openexr -raw -sdl svg tiff umfpack -v4l vala webp' failed for =media-libs/gegl-0.3.26
USE='cairo -ffmpeg introspection jpeg2k -lcms lensfun -openexr raw sdl -svg -tiff umfpack v4l vala webp' succeeded for =media-libs/gegl-0.3.26
USE='cairo ffmpeg introspection jpeg2k -lcms lensfun -openexr -raw -sdl svg tiff umfpack v4l vala webp' failed for =media-libs/gegl-0.3.26
Comment 27 Sergei Trofimovich gentoo-dev 2018-11-24 12:59:54 UTC
ppc stable thanks to ernsteiswuerfel!
Comment 28 Rolf Eike Beer 2019-02-10 14:47:36 UTC
it's only sparc now, so link it to the blockers
Comment 29 Mart Raudsepp gentoo-dev 2019-12-25 21:10:19 UTC
Dropping the blocking of GNOME 3.24 stabilization - only libgdata left and that has nothing to do with gegl (the blocker was for gnome-photos amd64/x86 only gelg dep I believe)
Comment 30 Rolf Eike Beer 2020-04-09 17:07:50 UTC
Since the sparc support is fundamentally broken because of the unaligned accesses we will dekeyword this.